> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a custom reference data source



## OpenAPI

````yaml /openapi/custom-reference-data.json patch /custom-reference-data/sources/{id}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /custom-reference-data/sources/{id}:
    patch:
      tags:
        - Custom Reference Data
      summary: Update a custom reference data source
      operationId: customReferenceData.updateSource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                description:
                  anyOf:
                    - type: string
                      maxLength: 1000
                    - type: 'null'
                columns:
                  type: array
                  items:
                    type: object
                    properties:
                      source:
                        type: string
                      alias:
                        type: string
                      type:
                        type: string
                      label:
                        type: string
                      filterable:
                        type: boolean
                      sortable:
                        type: boolean
                    required:
                      - source
                      - alias
                      - type
                      - label
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                  sourceType:
                    enum:
                      - tabular
                    type: string
                  columns:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            source:
                              type: string
                            alias:
                              type: string
                            type:
                              type: string
                            label:
                              type: string
                            filterable:
                              type: boolean
                            sortable:
                              type: boolean
                          required:
                            - source
                            - alias
                            - type
                            - label
                      - type: 'null'
                  status:
                    enum:
                      - pending
                      - processing
                      - ready
                      - error
                    type: string
                  recordCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  currentSnapshotAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  externalId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - name
                  - description
                  - sourceType
                  - columns
                  - status
                  - recordCount
                  - currentSnapshotAt
                  - externalId
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````